#include "DreamSnareAbility.h"
#include "Net/UnrealNetwork.h"
#include "AuthoritativeActorPoolComponent.h"

void UDreamSnareAbility::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UDreamSnareAbility, _setDreamSnareInteraction);
	DOREPLIFETIME(UDreamSnareAbility, _spawnDreamSnareInteraction);
}

UDreamSnareAbility::UDreamSnareAbility()
{
	this->_dreamSnarePool = CreateDefaultSubobject<UAuthoritativeActorPoolComponent>(TEXT("DreamSnarePool"));
	this->_dreamSnareStatusEffectClass = NULL;
	this->_setDreamSnareInteractionClass = NULL;
	this->_spawnDreamSnareInteractionClass = NULL;
	this->_dreamSnareClass = NULL;
	this->_navmeshBoxSizeForDreamSnareMovement = 20.000000;
	this->_navmeshMaxHeightDifference = 100.000000;
	this->_collisionCheckRadius = 5.000000;
}
